import { DefaultNameRegexp as t } from "../utils/cst-utils.js";
import { isCommentTerminal as i, terminalRegex as n } from "../utils/grammar-utils.js";
import { isMultilineComment as a } from "../utils/regexp-utils.js";
import { isTerminalRule as l } from "./generated/ast.js";
function c(r) {
  const m = [], o = r.Grammar;
  for (const e of o.rules)
    l(e) && i(e) && a(n(e)) && m.push(e.name);
  return {
    multilineCommentRules: m,
    nameRegexp: t
  };
}
export {
  c as createGrammarConfig
};
